<template>
  <!-- 修改通知信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="302" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>

import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },

  mounted() {
    console.log(this.$route)
    this.information();
  },
  methods: {
    information() {
      //编辑
      this.axios
        .post(
          "/api/v1/rms/getNoticeById/" +
          this.$route.params.noticeId
        )
        .then((res) => {
          console.log(res)
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.noticeId);
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      console.log(this.form1)
      let DilNotice = {
        noticeId:this.form1.noticeId,
        insertTime:this.form1.insertTime,
        insertUsername:this.form1.insertUsername,
        noticeContent:this.form1.noticeContent,
      };
       if(
        DilNotice.noticeTitle ==null ||
        DilNotice.insertUsername ==null ||
        DilNotice.noticeContent ==null
      )this.$message.error("存在空值！");
      this.axios
        .post(
          "/api/v1/rms/updateNotice",
          DilNotice
        )
        .then((res) => {
          if (res.data.code == "200") {
            this.$router.go(-1);
          }
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.form-box,
 .button-box{
    display: flex;
    justify-content: center;
    .el-button{
      width: 80px;
      margin-right: 10px;
    }
  }
</style>





